searchNodes=[{"doc":"Documentation for SmsUp.","ref":"SmsUp.html","title":"SmsUp","type":"module"},{"doc":"Generate a pin code for the given id and store it in a mnesia database. Returns the generated pin code.Examplesiex&gt; SmsUp.store(&quot;user@email.ch&quot;) {:ok, &quot;123456&quot;}","ref":"SmsUp.html#store/1","title":"SmsUp.store/1","type":"function"},{"doc":"Validate a pin code along with the user id and tells if the provided pin is correct or not. Returns a tupple containing true or false regarding the result.Examplesiex&gt; SmsUp.validate(&quot;user@email.ch&quot;, &quot;Good Pin&quot;) {:ok, true} iex&gt; SmsUp.validate(&quot;user@email.ch&quot;, &quot;Wrong Pin&quot;) {:ok, false}","ref":"SmsUp.html#validate/2","title":"SmsUp.validate/2","type":"function"},{"doc":"This module deals with generating random pin codes.","ref":"SmsUp.Pin.Generator.html","title":"SmsUp.Pin.Generator","type":"module"},{"doc":"Generate a random pin number of the given length (min: 1, max: 10). Returns a pin of the given length as a string.Examples (:rand.seed is used here for doctest)iex&gt; :rand.seed(:exsss, {10, 20, 30}) iex&gt; SmsUp.Pin.Generator.generate_pin() {:ok, &quot;831750&quot;} iex&gt; :rand.seed(:exsss, {10, 20, 30}) iex&gt; SmsUp.Pin.Generator.generate_pin(4) {:ok, &quot;8317&quot;} iex&gt; :rand.seed(:exsss, {10, 20, 30}) iex&gt; SmsUp.Pin.Generator.generate_pin(100) {:ok, &quot;8317504629&quot;} iex&gt; SmsUp.Pin.Generator.generate_pin(0) {:error, &quot;invalid size of 0, please use a positive integer&quot;} iex&gt; SmsUp.Pin.Generator.generate_pin(-6) {:error, &quot;invalid size of -6, please use a positive integer&quot;}","ref":"SmsUp.Pin.Generator.html#generate_pin/1","title":"SmsUp.Pin.Generator.generate_pin/1","type":"function"},{"doc":"This module stores random pin associated with an id to be checked later. Default validity is 10 minutes and is configurable: config :sms_up, :pin_validity, 15Default token size is 6 and can be modified also: config :sms_up, :pin_size, 4","ref":"SmsUp.Pin.Store.html","title":"SmsUp.Pin.Store","type":"module"},{"doc":"Returns a specification to start this module under a supervisor.See Supervisor.","ref":"SmsUp.Pin.Store.html#child_spec/1","title":"SmsUp.Pin.Store.child_spec/1","type":"function"},{"doc":"Generate a pin code for the given id and store it in a mnesia database. Returns the generated pin code.Examplesiex&gt; SmsUp.Pin.Store.store(&quot;user@email.ch&quot;) {:ok, &quot;123456&quot;}","ref":"SmsUp.Pin.Store.html#store/1","title":"SmsUp.Pin.Store.store/1","type":"function"},{"doc":"Validate a pin code along with the user id and tells if the provided pin is correct or not. Returns a tupple containing true or false regarding the result.Examplesiex&gt; SmsUp.Pin.Store.validate(&quot;user@email.ch&quot;, &quot;Good Pin&quot;) {:ok, true} iex&gt; SmsUp.Pin.Store.validate(&quot;user@email.ch&quot;, &quot;Wrong Pin&quot;) {:ok, false}","ref":"SmsUp.Pin.Store.html#validate/2","title":"SmsUp.Pin.Store.validate/2","type":"function"}]